package com.fos.modules.todayOverTable.entity;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class TodayOverTableOrderEntity extends BaseEntity{
	
	@JSONField(name = "nickName")
    private String nickName;
	
	@JSONField(name = "userName")
    private String userName;
	
	@JSONField(name = "orderId")
    private int orderId;

	@JSONField(name = "code")
	private String code;
	
	@JSONField(name = "foods")
    private List<TodayOverTableFoodEntity> foods;
	
	@JSONField(name = "seatNum")
    private String seatNum;
	
	@JSONField(name = "tableArea")
    private String tableArea;
	
	@JSONField(name = "createTime")
    private String createTime;
	
	@JSONField(name = "endTime")
	private String endTime;
	
	

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getTableArea() {
		return tableArea;
	}

	public void setTableArea(String tableArea) {
		this.tableArea = tableArea;
	}

	public String getSeatNum() {
		return seatNum;
	}

	public void setSeatNum(String seatNum) {
		this.seatNum = seatNum;
	}

	public int getOrderId() {
		return orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public List<TodayOverTableFoodEntity> getFoods() {
		return foods;
	}

	public void setFoods(List<TodayOverTableFoodEntity> foods) {
		this.foods = foods;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
